import * as $dara from '@darabonba/typescript';
export declare class DescribeImagesResponseBodyImagesImageDetectionOptionsItemsItem extends $dara.Model {
    name?: string;
    riskCode?: string;
    riskLevel?: string;
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageDetectionOptionsItems extends $dara.Model {
    item?: DescribeImagesResponseBodyImagesImageDetectionOptionsItemsItem[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageDetectionOptions extends $dara.Model {
    items?: DescribeImagesResponseBodyImagesImageDetectionOptionsItems;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageDiskDeviceMappingsDiskDeviceMapping extends $dara.Model {
    device?: string;
    encrypted?: boolean;
    format?: string;
    importOSSBucket?: string;
    importOSSObject?: string;
    progress?: string;
    remainTime?: number;
    size?: string;
    snapshotId?: string;
    type?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageDiskDeviceMappings extends $dara.Model {
    diskDeviceMapping?: DescribeImagesResponseBodyImagesImageDiskDeviceMappingsDiskDeviceMapping[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageFeatures extends $dara.Model {
    cpuOnlineDowngrade?: string;
    cpuOnlineUpgrade?: string;
    imdsSupport?: string;
    memoryOnlineDowngrade?: string;
    memoryOnlineUpgrade?: string;
    nvmeSupport?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageTagsTag extends $dara.Model {
    tagKey?: string;
    tagValue?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImageTags extends $dara.Model {
    tag?: DescribeImagesResponseBodyImagesImageTagsTag[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImagesImage extends $dara.Model {
    architecture?: string;
    bootMode?: string;
    creationTime?: string;
    description?: string;
    detectionOptions?: DescribeImagesResponseBodyImagesImageDetectionOptions;
    diskDeviceMappings?: DescribeImagesResponseBodyImagesImageDiskDeviceMappings;
    features?: DescribeImagesResponseBodyImagesImageFeatures;
    imageFamily?: string;
    imageId?: string;
    imageName?: string;
    imageOwnerAlias?: string;
    imageOwnerId?: number;
    imageVersion?: string;
    isCopied?: boolean;
    isPublic?: boolean;
    isSelfShared?: string;
    isSubscribed?: boolean;
    isSupportCloudinit?: boolean;
    isSupportIoOptimized?: boolean;
    licenseType?: string;
    loginAsNonRootSupported?: boolean;
    OSName?: string;
    OSNameEn?: string;
    OSType?: string;
    platform?: string;
    productCode?: string;
    progress?: string;
    resourceGroupId?: string;
    size?: number;
    status?: string;
    supplierName?: string;
    tags?: DescribeImagesResponseBodyImagesImageTags;
    usage?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBodyImages extends $dara.Model {
    image?: DescribeImagesResponseBodyImagesImage[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeImagesResponseBody extends $dara.Model {
    images?: DescribeImagesResponseBodyImages;
    /**
     * @remarks
     * The page number returned.
     *
     * @example
     * 1
     */
    pageNumber?: number;
    /**
     * @remarks
     * The number of entries per page.
     *
     * @example
     * 1
     */
    pageSize?: number;
    /**
     * @remarks
     * The region ID of the image.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 66189103-EDB2-43E2-BB60-BFF2B62F4EB8
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of images.
     *
     * @example
     * 1
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
